class HomeInlistInfo {
  int? id;
  String? uuid;
  num? numberOfRooms;
  num? numberOfBedRooms;
  num? numberOfBathroom;
  String? currency;
  String? title;
  dynamic slug;
  dynamic shortDescription;
  String? priceRentFormat;
  String? sizeUnit;
  num? area;
  num? openForBid;
  dynamic minBidPrice;
  dynamic district;
  dynamic user;
  HomePro? pro;
  HomeMaincat? maincat;
  dynamic subcat;
  HomeMainPicture? mainPictureUrl;
  dynamic peb;
  HomePlace? place;

  HomeInlistInfo(
      {this.id,
      this.uuid,
      this.numberOfRooms,
      this.numberOfBedRooms,
      this.numberOfBathroom,
      this.currency,
      this.title,
      this.slug,
      this.shortDescription,
      this.priceRentFormat,
      this.sizeUnit,
      this.area,
      this.openForBid,
      this.minBidPrice,
      this.district,
      this.user,
      this.pro,
      this.maincat,
      this.subcat,
      this.mainPictureUrl,
      this.peb,
      this.place});

  HomeInlistInfo.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    uuid = json["uuid"];
    numberOfRooms = json["numberOfRooms"];
    numberOfBedRooms = json["numberOfBedRooms"];
    numberOfBathroom = json["numberOfBathroom"];
    currency = json["currency"];
    title = json["title"];
    slug = json["slug"];
    shortDescription = json["shortDescription"];
    priceRentFormat = json["priceRentFormat"];
    sizeUnit = json["sizeUnit"];
    area = json["area"];
    openForBid = json["openForBid"];
    minBidPrice = json["minBidPrice"];
    district = json["district"];
    user = json["user"];
    pro = json["pro"] == null ? null : HomePro.fromJson(json["pro"]);
    maincat =
        json["maincat"] == null ? null : HomeMaincat.fromJson(json["maincat"]);
    subcat = json["subcat"];
    mainPictureUrl = json["mainPictureUrl"] == null
        ? null
        : HomeMainPicture.fromJson(json["mainPictureUrl"]);
    peb = json["peb"];
    place = json["place"] == null ? null : HomePlace.fromJson(json["place"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["uuid"] = uuid;
    _data["numberOfRooms"] = numberOfRooms;
    _data["numberOfBedRooms"] = numberOfBedRooms;
    _data["numberOfBathroom"] = numberOfBathroom;
    _data["currency"] = currency;
    _data["title"] = title;
    _data["slug"] = slug;
    _data["shortDescription"] = shortDescription;
    _data["priceRentFormat"] = priceRentFormat;
    _data["sizeUnit"] = sizeUnit;
    _data["area"] = area;
    _data["openForBid"] = openForBid;
    _data["minBidPrice"] = minBidPrice;
    _data["district"] = district;
    _data["user"] = user;
    if (pro != null) {
      _data["pro"] = pro?.toJson();
    }
    if (maincat != null) {
      _data["maincat"] = maincat?.toJson();
    }
    _data["subcat"] = subcat;
    if (mainPictureUrl != null) {
      _data["mainPictureUrl"] = mainPictureUrl?.toJson();
    }
    _data["peb"] = peb;
    if (place != null) {
      _data["place"] = place?.toJson();
    }
    return _data;
  }
}

class HomePlace {
  int? id;
  String? label;
  String? street1;
  dynamic street2;
  dynamic district;
  String? city;
  String? state;
  String? country;
  String? informations;
  String? phone;
  String? phoneCode;
  String? utcModifier;
  num? lat;
  num? lng;
  bool? oowoo;
  String? uniqueId;
  String? countryCode;
  dynamic privateName;
  bool? isBilling;
  dynamic billingName;
  dynamic frequentationDensity;
  dynamic roadtype;

  HomePlace(
      {this.id,
      this.label,
      this.street1,
      this.street2,
      this.district,
      this.city,
      this.state,
      this.country,
      this.informations,
      this.phone,
      this.phoneCode,
      this.utcModifier,
      this.lat,
      this.lng,
      this.oowoo,
      this.uniqueId,
      this.countryCode,
      this.privateName,
      this.isBilling,
      this.billingName,
      this.frequentationDensity,
      this.roadtype});

  HomePlace.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    street1 = json["street1"];
    street2 = json["street2"];
    district = json["district"];
    city = json["city"];
    state = json["state"];
    country = json["country"];
    informations = json["informations"];
    phone = json["phone"];
    phoneCode = json["phoneCode"];
    utcModifier = json["utcModifier"];
    lat = json["lat"];
    lng = json["lng"];
    oowoo = json["oowoo"];
    uniqueId = json["uniqueId"];
    countryCode = json["countryCode"];
    privateName = json["privateName"];
    isBilling = json["isBilling"];
    billingName = json["billingName"];
    frequentationDensity = json["frequentationDensity"];
    roadtype = json["roadtype"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["street1"] = street1;
    _data["street2"] = street2;
    _data["district"] = district;
    _data["city"] = city;
    _data["state"] = state;
    _data["country"] = country;
    _data["informations"] = informations;
    _data["phone"] = phone;
    _data["phoneCode"] = phoneCode;
    _data["utcModifier"] = utcModifier;
    _data["lat"] = lat;
    _data["lng"] = lng;
    _data["oowoo"] = oowoo;
    _data["uniqueId"] = uniqueId;
    _data["countryCode"] = countryCode;
    _data["privateName"] = privateName;
    _data["isBilling"] = isBilling;
    _data["billingName"] = billingName;
    _data["frequentationDensity"] = frequentationDensity;
    _data["roadtype"] = roadtype;
    return _data;
  }

  HomePlace copyWith({
    int? id,
    String? label,
    String? street1,
    dynamic street2,
    dynamic district,
    String? city,
    String? state,
    String? country,
    String? informations,
    String? phone,
    String? phoneCode,
    String? utcModifier,
    num? lat,
    num? lng,
    bool? oowoo,
    String? uniqueId,
    String? countryCode,
    dynamic privateName,
    bool? isBilling,
    dynamic billingName,
    dynamic frequentationDensity,
    dynamic roadtype,
  }) =>
      HomePlace(
        id: id ?? this.id,
        label: label ?? this.label,
        street1: street1 ?? this.street1,
        street2: street2 ?? this.street2,
        district: district ?? this.district,
        city: city ?? this.city,
        state: state ?? this.state,
        country: country ?? this.country,
        informations: informations ?? this.informations,
        phone: phone ?? this.phone,
        phoneCode: phoneCode ?? this.phoneCode,
        utcModifier: utcModifier ?? this.utcModifier,
        lat: lat ?? this.lat,
        lng: lng ?? this.lng,
        oowoo: oowoo ?? this.oowoo,
        uniqueId: uniqueId ?? this.uniqueId,
        countryCode: countryCode ?? this.countryCode,
        privateName: privateName ?? this.privateName,
        isBilling: isBilling ?? this.isBilling,
        billingName: billingName ?? this.billingName,
        frequentationDensity: frequentationDensity ?? this.frequentationDensity,
        roadtype: roadtype ?? this.roadtype,
      );
}

class HomeMainPicture {
  int? id;
  String? url;

  HomeMainPicture({this.id, this.url});

  HomeMainPicture.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    url = json["url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["url"] = url;
    return _data;
  }

  HomeMainPicture copyWith({
    int? id,
    String? url,
  }) =>
      HomeMainPicture(
        id: id ?? this.id,
        url: url ?? this.url,
      );
}

class HomeMaincat {
  int? id;
  String? label;
  String? thumbnailUrl;

  HomeMaincat({this.id, this.label, this.thumbnailUrl});

  HomeMaincat.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    thumbnailUrl = json["thumbnailUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["thumbnailUrl"] = thumbnailUrl;
    return _data;
  }

  HomeMaincat copyWith({
    int? id,
    String? label,
    String? thumbnailUrl,
  }) =>
      HomeMaincat(
        id: id ?? this.id,
        label: label ?? this.label,
        thumbnailUrl: thumbnailUrl ?? this.thumbnailUrl,
      );
}

class HomePro {
  int? id;
  String? displayName;
  String? thumbnail;

  HomePro({this.id, this.displayName, this.thumbnail});

  HomePro.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    return _data;
  }

  HomePro copyWith({
    int? id,
    String? displayName,
    String? thumbnail,
  }) =>
      HomePro(
        id: id ?? this.id,
        displayName: displayName ?? this.displayName,
        thumbnail: thumbnail ?? this.thumbnail,
      );
}
